#include <stdio.h>
#include <ctime>
#include <cstdlib>
#define MAX 100
#define MIN 0
#define CAPACITY 10
using namespace std;

void invertiArray(int array[], int lunghezza) {
    int inizio = 0;
    int fine = lunghezza - 1;
    while (inizio < fine) {
        // Scambio degli elementi
        int temp = array[inizio];
        array[inizio] = array[fine];
        array[fine] = temp;

        // Aggiorna gli indici
        inizio++;
        fine--;
    }
}

void stampaArray(int array[], int lunghezza) {
    for (int i = 0; i < lunghezza; i++) {
        printf("%d ", array[i]);
    }
    printf("\n");
}

void riempiarray(int array[], size_t lunghezza){
	for(size_t j=0; j < lunghezza; j++)
		array[j]=rand()%(MAX-MIN+1)+MIN;
}

int main() {
    int array[CAPACITY];
    
    riempiarray(array,CAPACITY);

    printf("Array originale: ");
    stampaArray(array, CAPACITY);

    invertiArray(array, CAPACITY);

    printf("Array invertito: ");
    stampaArray(array, CAPACITY);

    return 0;
}
